/*
 *  Copyright (C) 2003  Ricardo Fernndez Pascual
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __gul_toggle_toolbutton_h_
#define __gul_toggle_toolutton_h_

#include "gul-toolbutton.h"

/* object forward declarations */

typedef struct _GulToggleToolbuttonClass GulToggleToolbuttonClass;
typedef struct _GulToggleToolbutton GulToggleToolbutton;
typedef struct _GulToggleToolbuttonPrivate GulToggleToolbuttonPrivate;

#define GUL_TYPE_TOGGLE_TOOLBUTTON		(gul_toggle_toolbutton_get_type())
#define GUL_TOGGLE_TOOLBUTTON(object)		(G_TYPE_CHECK_INSTANCE_CAST((object), GUL_TYPE_TOGGLE_TOOLBUTTON,\
						 GulToggleToolbutton))
#define GUL_TOGGLE_TOOLBUTTON_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST((klass), GUL_TYPE_TOGGLE_TOOLBUTTON,\
						 GulToggleToolbuttonClass))
#define GUL_IS_TOGGLE_TOOLBUTTON(object)	(G_TYPE_CHECK_INSTANCE_TYPE((object), GUL_TYPE_TOGGLE_TOOLBUTTON))
#define GUL_IS_TOGGLE_TOOLBUTTON_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE((klass), GUL_TYPE_TOGGLE_TOOLBUTTON))
#define GUL_TOGGLE_TOOLBUTTON_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS((obj), GUL_TYPE_TOGGLE_TOOLBUTTON,\
						 GulToggleToolbuttonClass))


struct _GulToggleToolbuttonClass
{
        GulToolbuttonClass parent_class;

	void		(*toggled)		(GulToggleToolbutton *b);
};

struct _GulToggleToolbutton
{
	GulToolbutton parent;
};

GType			gul_toggle_toolbutton_get_type			(void);
GulToggleToolbutton *	gul_toggle_toolbutton_new			(void);
GulToggleToolbutton *	gul_toggle_toolbutton_new_from_stock		(const gchar *stock_id);
gboolean		gul_toggle_toolbutton_get_toggled		(GulToggleToolbutton *b);
void			gul_toggle_toolbutton_set_toggled		(GulToggleToolbutton *b, gboolean value);

G_END_DECLS;

#endif
